org.springframework.data.querydsl

## Class SimpleEntityPathResolver

- java.lang.Object
- - org.springframework.data.querydsl.SimpleEntityPathResolver

All Implemented Interfaces:
  EntityPathResolver

    public class SimpleEntityPathResolver
    extends Object
    implements EntityPathResolver

Simple implementation of `EntityPathResolver` to lookup a query class by reflection and using the static field of the same type.

Author:
  Oliver Gierke, Jens Schauder

### Field Summary

Fields
`static SimpleEntityPathResolver` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`SimpleEntityPathResolver(String querySuffix)` Creates a new `SimpleEntityPathResolver` with the given query package suffix.

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> com.querydsl.core.types.EntityPath<T>` `createPath(Class<T> domainClass)` Creates an `EntityPath` instance for the given domain class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final SimpleEntityPathResolver INSTANCE

### Constructor Detail

#### SimpleEntityPathResolver

    public SimpleEntityPathResolver(String querySuffix)

Creates a new `SimpleEntityPathResolver` with the given query package suffix.

Parameters:
  `querySuffix` - must not be null.

### Method Detail

#### createPath

    public <T> com.querydsl.core.types.EntityPath<T> createPath(Class<T> domainClass)

Creates an `EntityPath` instance for the given domain class. Tries to lookup a class matching the naming convention (prepend Q to the simple name of the class, same package) and find a static field of the same type in it.

Specified by:
  `createPath` in interface `EntityPathResolver`
Parameters:
  `domainClass` -
Returns: